<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PaymentLinkTrace extends Model
{
    use HasFactory;

    public function user() {
        return $this->belongsTo(User::class, 'id_user');
    }

    public function userUpdate() {
        return $this->belongsTo(User::class, 'id_user_update');
    }

    public function status() {
        return $this->belongsTo(Status::class, 'id_status');
    }
}
